<?
//디비연결정보 정의
$host='디비서버주소'; 
$user='디비아이디';
$dbpass='디비암호';
$dbname='디비이름';

dbcon();


//디비관련 라이브러리///////////////////////////
function sqlparse($str) {
	$str = str_replace("'","''",$str);
	return $str;
}
// 선택질의를 실행하여 2차원배열로 리턴한다.
function mysql_select_list($sql){
	global $fda;
	$fda = array();
	if ($res=mysql_query($sql)){
		$i=0;
		while($rs=mysql_fetch_array($res)){
			if ($i==0) $fda = array_keys($rs);
			for ($j=0;$j<count($fda);$j++) {
				$listfielda[$fda[$j]][$i]=$rs[$fda[$j]];
			}//for
			$i++;
		}
	}	
	return $listfielda;
}

//2차원배열을 1차원배열로 변환
function array_2to1($rs){
	if (is_array($rs)) {
		$fielda=array_keys($rs);
		for ($j=0;$j<count($fielda);$j++) {
			$listfielda[$fielda[$j]]=$rs[$fielda[$j]][0];
		}//for j
	}
	return $listfielda;
}

//디비에 연결한다.
function dbcon() {
	global $sock,$dbname,$host,$user,$dbpass,$db;
	$sock = mysql_connect($host,$user,$dbpass);
	if ($sock) $db = mysql_select_db($dbname,$sock);
	mysql_set_charset('utf8',$sock);
	//mysql_set_charset('euckr',$sock); 
}
//디비관련 라이브러리///////////////////////////
?>